Create Brand
curl --request POST \
--url https://app.mentionpilot.ai/api/v1/brand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "MentionPilot",
"domain": "mentionpilot.ai"
}
'import requests
url = "https://app.mentionpilot.ai/api/v1/brand"
payload = {
"name": "MentionPilot",
"domain": "mentionpilot.ai"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'MentionPilot', domain: 'mentionpilot.ai'})
};
fetch('https://app.mentionpilot.ai/api/v1/brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"brand": {
"id": 155,
"name": "MentionPilot",
"domain": "mentionpilot.ai",
"created_at": "2026-05-07T10:00:00.000000+00:00"
}
}{
"success": false,
"error": "Brand name is required"
}{
"success": false,
"error": "An error occurred"
}{
"success": false,
"error": "Access denied"
}Brand
Create Brand
Creates a new brand under your account.
POST
/
brand
Create Brand
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Brand details
⌘I